#include <QtGui>
#include <QtCore>
#include <QApplication>
#include <QObject>
#include <QString>
#include <QStringList>
#include "communication/commThread.h"
#include "Containers/mainwindow.h"
#include "Containers/canvas.h"
#include "Containers/groupBox.h"
#include "Containers/panel.h"
#include "Containers/canvasButtons.h"
#include "Drawables/Arrow.h"
#include "Drawables/Cone.h"
#include "Drawables/HalfPipe.h"
#include "Drawables/PlanarGrid.h"
#include "Drawables/ScalarBar.h"
#include "InteractiveControls/slider.h"
#include "InteractiveControls/numberfield.h"
#include "InteractiveControls/displayDouble.h"
#include "BasicElements/checkbox.h"
#include "Containers/dialog.h"
#include "Containers/buttongroup.h"
#include "InteractiveControls/radiobutton.h"
#include "Containers/plottingPanel.h"
#include "Containers/plottingPanelQwt.h"
#include "Drawables/TrailQwt.h"
#include "Drawables/Sphere.h"
#include "Drawables/Cylinder.h"
#include "Drawables/Cube.h"
#include "Drawables/RegularPolygon.h"
#include "Drawables/DiskSource.h"
#include "Drawables/File3DSImporter.h"
#include "BasicElements/browser.h"
#include "BasicElements/pausebutton.h"
#include "InteractiveLib_global.h"

int main(int argc, char *argv[]){
	QApplication::setColorSpec (QApplication::ManyColor);

	QApplication a(argc, argv);

 	CommThread *comm;
 	int serverPort = 58575;

/*-----------------------------------------------------
 A new element of class MainWindow-------------
-----------------------------------------------------*/
	MainWindow *node1 = new MainWindow();
	node1->resize( 600 ,400);
	node1->move(0,0);
	node1->setWindowTitle(QObject::tr( "MainFrame" ));
	node1->setLayoutPolicy( "BorderLayout()" );
	node1->show();
	comm = node1->comm;
	comm->setServerPort(serverPort);
/*-----------------------------------------------------
-----------------------------------------------------*/
	comm->start();
	return a.exec();
} //End of main 
